5.7.1诊断  HTTP下载仿真诊断测试TR069里面缺少参数，并且配置DiagnosticsState为Requested时候不生效，读取的时候依然是None

，无法开始下载测试

07/25/2025 09:45 - 天文 刘

Status: Resolved Start date: 07/25/2025

Priority: Normal Due date:  

Assignee: 天文 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 2025-07-24 15:52:26 复现概率: 100%

Description

测试步骤

1)智能网关与管理平台的连接正常；

2)管理平台下发命令要求智能网关设备在路由WAN上进行Ping诊断测试；

3)在管理平台上检查诊断测试结果；

4)管理平台下发命令要求智能网关设备在路由WAN上进行Traceroute诊断测试；

5)在管理平台上检查诊断测试结果；

6)管理平台下发命令要求智能网关设备在路由WAN上进行PPPoE仿真诊断测试；

7)在管理平台上检查诊断测试结果；

8)管理平台下发命令要求智能网关设备在路由WAN上进行DHCP仿真诊断测试；

9)在管理平台上检查诊断测试结果；

10)管理平台下发命令要求智能网关设备在路由WAN上进行VoIP仿真诊断测试；

11)在管理平台上检查诊断测试结果；

12)管理平台下发命令要求智能网关设备在路由WAN上进行HTTP下载仿真诊断测试；

13)在管理平台上检查诊断测试结果，并通过管理平台查询开始下载时间，结束下载时间，以及下载文件大小，并据此计算下载速率。

预期结果

步骤3）、5）、7）、9）、11）、13）中，智能网关设备成功进行诊断测试并返回诊断测试结果，消息交互流程如图5-9所示，并在步骤13）中，记录计算的HTTP仿真下载速率。

实际结果：13）中并且配置DiagnosticsState为Requested时候不生效，读取的时候依然是None ，无法开始下载测试

History

#1 - 07/25/2025 14:18 - tingwei huang

- Status changed from New to Resolved

- Assignee changed from tingwei huang to 天文 刘

#2 - 07/30/2025 11:49 - 天文 刘

- Status changed from Resolved to New

- Assignee changed from 天文 刘 to tingwei huang

新版本有如下连点需要优化

1.ThreadNum   下载测速使用线程数量，不传默认为1

2.DiagnosticsState  写入Requested 读取他应该显示Requested ，测试完了就显示Completed ，但是现在设置了之后还是显示上次的结果

#3 - 07/31/2025 15:18 - tingwei huang

- Status changed from New to Resolved

- Assignee changed from tingwei huang to 天文 刘
